Class | TclTkVariable
In: | tcltklib/lib/tcltk.rb
Parent: | TclTkObject

class TclTkVariable: tcl/tk variable

### Methods

get new set

### Public Class methods

new(interp, dat)

initialize(interp, dat):

      interp: interpreter(TclTkInterpreter)
      dat: the value to set(String)
          if nil, not initialize variable

[Source]

    # File tcltklib/lib/tcltk.rb, line 229
      def initialize(interp, dat)
        # auto-generate tcl/tk representation (variable name)
        exp = TclTk._newname("v_")
        # initialize TclTkObject
        super(interp._tcltkip(), exp)
        # safe this for `set' command
        @set = interp.commands()["set"]
        # set value
        set(dat) if dat
      end

### Public Instance methods

get()

get(): read tcl/tk variable(String) using `set’

[Source]

    # File tcltklib/lib/tcltk.rb, line 250
      def get()
        return @set.e(to_s())
      end

set(data)

set(data): set tcl/tk variable using `set’

      data: new value

[Source]

    # File tcltklib/lib/tcltk.rb, line 245
      def set(data)
        @set.e(to_s(), data.to_s())
      end

[Validate]